LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
ControlEvent Struct Reference

describes a control event send by extended user interface controls. More...

`import"ControlEvent.idl";`

## Public Attributes
::com::sun::star::util::URL | aURL
| fully parsed URL describing the control that sends this notification. More...
string | Event
| specifies the event which has occurred. More...
sequence< com::sun::star::beans::NamedValue > | aInformation
| specifies a sequence of named values which are used as additional values for the event. More...

## Detailed Description

describes a control event send by extended user interface controls.

Since
  OOo 2.0.3

## Member Data Documentation

## ◆ aInformation

sequence< com::sun::star::beans::NamedValue > aInformation

specifies a sequence of named values which are used as additional values for the event.

The number and types of named values depend on the event.

## ◆ aURL

::com::sun::star::util::URL aURL

fully parsed URL describing the control that sends this notification.

## ◆ Event

string Event

specifies the event which has occurred.

The documentation for this struct was generated from the following file:

- com/sun/star/frame/ControlEvent.idl